#!/bin/sh 
#

#TSCalib
export TSLIB_TSEVENTTYPE=INPUT


export TSLIB_TSDEVICE=/dev/input/event0
export TSLIB_CALIBFILE=/etc/pointercal
export TSLIB_CONFFILE=/etc/ts.conf
export TSLIB_PLUGINDIR=/usr/lib/ts
export TSLIB_FBDEVICE=/dev/fb0
export TSLIB_CONSOLEDEVICE=none
export TSTS_INFO_FILE=/sys/devices/virtual/input/mice/uevent
export QWS_MOUSE_PROTO=tslib:/dev/input/event0
export PATH=$PATH:/usr/bin

export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/local/qt4/lib:/root/iam_sysapp/libs/
#End:TSCalib



echo "iAM-AUDIO starting"
/root/iam_mb_qtmenu/lcdinit /dev/spidev2.1
#
# if _new of menuapp is present, kill running process and replace current version with new
#
if [ -f "/root/iam_mb_qtmenu/Menu_new" ]
then
    echo "Found Menu App update!"
    echo "Update in progress..."
    for fp_proc in $(pidof Menu)
      do
        kill -9  $fp_proc
      done
    mv /root/iam_mb_qtmenu/Menu_new /root/iam_mb_qtmenu/Menu
fi

#echo "Enable optional menu LCD debug options"
#export DEBUG_TOUCH_EVENT=something
#export DEBUG_TOUCH_ADVANCE=something
#export DEBUG_TOUCH=something
#export DEBUG_ZMQ=something
#export DEBUG_WEB_GUI=something
#export DEBUG_METERS=something

#/root/iam_mb_qtmenu/iam_audio_app -qws -display transformed:Rot270 & 
/root/iam_mb_qtmenu/Menu -qws -display transformed:Rot270 & 
