import os

DB_PATH = os.environ.get('WOHLER_DB',
                         os.path.join('/run/shm/database/', 'wohler_audio.db'))

PRESETS_DB_PATH = os.environ.get('WOHLER_PRESETS_DB',
                         os.path.join('/root/iam_sysapp/iam_audio_ui/database/', 'wohler_presets.db'))

SECRET_KEY = 'secret!'

SQLALCHEMY_DATABASE_URI = 'sqlite:///' + DB_PATH
SQLALCHEMY_BINDS = {
    'presets_1_0':      'sqlite:///' + PRESETS_DB_PATH
}

#
# Squelch newer SqlAlchemy version warnings and improve performance
# NOTE: This disables SqlAlchemy signalling (event) support.
# Must be set to None or True if we use models_committed or
# before_models_committed signals.
# REF http://stackoverflow.com/a/33790196/1309774
SQLALCHEMY_TRACK_MODIFICATIONS = False
ALM_WIDGET_SERVER_PORT = 5000
ALM_WIDGET_PATH = 'live-alm-widget'
