$(document).ready(function(){
    // namespace 
    namespace = '/mpegHb'; // change to an empty string to use the global namespace

    //connect to the socket server.
    var hb_socket = io.connect('http://' + document.domain + ':' + location.port + namespace );
    var numbers_received = [];
 


    //receive details from server
    hb_socket.on('newnumber', function(msg) {
        console.log("Received message APP.JS " + msg.number  );
         //var data =JSON.stringify( '[' + msg.number + ']');
         var data = msg.number;
         var jsonObj = $.parseJSON(data);
         $.each(jsonObj, function(k,v) {

            switch(k){
                case "mlc_status" :
                     if ( v== "on") {
                        $('#MLC_img').attr('src', 'static/images/hb-green-sm.jpg') ;
                        $('#MLC_status').attr('class', 'label label-success') ;
                        $("label[for='MLC_ONOFF']").html('Status: ON');

                        $('#BMLC_img').attr('src', 'static/images/hb-green-sm.jpg') ;
                        $('#BMLC_status').attr('class', 'label label-success') ;
                        $("label[for='BMLC_ONOFF']").html('Status: ON');

                        $("label[for='mlc_alert_top']").html('Status: &nbsp;ON');
                        $('#mlc_alert_top').attr('class', 'label label-success') ;

                     }
                     else {
                        $('#MLC_img').attr('src', 'static/images/hb-red-sm.jpg') ;
                        $('#MLC_status').attr('class', 'label label-danger') ;
                        $("label[for='MLC_ONOFF']").html('Status: OFF');

                        $('#BMLC_img').attr('src', 'static/images/hb-red-sm.jpg') ;
                        $('#BMLC_status').attr('class', 'label label-danger') ;
                        $("label[for='BMLC_ONOFF']").html('Status: OFF');

                        $("label[for='mlc_alert_top']").html('Status: OFF');
                        $('#mlc_alert_top').attr('class', 'label label-danger') ;
                     } 
                     break;
                case "mpcm_status" :
                     if ( v== "on") {
                        $('#MPCM_img').attr('src', 'static/images/processor-green-sm.jpg') ;
                        $('#MPCM_status').attr('class', 'label label-success') ;
                        $("label[for='MPCM_ONOFF']").html('Status: ON');

                        $('#BMPCM_img').attr('src', 'static/images/processor-green-sm.jpg') ;
                        $('#BMPCM_status').attr('class', 'label label-success') ;
                        $("label[for='BMPCM_ONOFF']").html('Status: ON');

                        $("label[for='mpcm_alert_top']").html('Status: &nbsp;ON');
                        $('#mpcm_alert_top').attr('class', 'label label-success') ;
                     }
                     else {
                        $('#MPCM_img').attr('src', 'static/images/processor-red-sm.jpg') ;
                        $('#MPCM_status').attr('class', 'label label-danger') ;
                        $("label[for='MPCM_ONOFF']").html('Status: OFF');

                        $('#BMPCM_img').attr('src', 'static/images/processor-red-sm.jpg') ;
                        $('#BMPCM_status').attr('class', 'label label-danger') ;
                        $("label[for='BMPCM_ONOFF']").html('Status: OFF');

                        $("label[for='mpcm_alert_top']").html('Status: OFF');
                        $('#mpcm_alert_top').attr('class', 'label label-danger') ;
                     } 
                     break;
                case "zynq_status" :
                     if ( v== "on") {
                        $('#ZYNQ_img').attr('src', 'static/images/zynq-green-sm.jpg') ;
                        $('#ZYNQ_status').attr('class', 'label label-success') ;
                        $("label[for='ZYNQ_ONOFF']").html('Status: ON');

                        $('#BZYNQ_img').attr('src', 'static/images/zynq-green-sm.jpg') ;
                        $('#BZYNQ_status').attr('class', 'label label-success') ;
                        $("label[for='BZYNQ_ONOFF']").html('Status: ON');

                        $("label[for='zynq_alert_top']").html('Status: &nbsp;ON');
                        $('#zynq_alert_top').attr('class', 'label label-success') ;

                     }
                     else {
                        $('#ZYNQ_img').attr('src', 'static/images/zynq-red-sm.jpg') ;
                        $('#ZYNQ_status').attr('class', 'label label-danger') ;
                        $("label[for='ZYNQ_ONOFF']").html('Status: OFF');

                        $('#BZYNQ_img').attr('src', 'static/images/zynq-red-sm.jpg') ;
                        $('#BZYNQ_status').attr('class', 'label label-danger') ;
                        $("label[for='BZYNQ_ONOFF']").html('Status: OFF');

                        $("label[for='zynq_alert_top']").html('Status: OFF');
                        $('#zynq_alert_top').attr('class', 'label label-danger') ;
                     } 
                     break;
                case "date_updated" :
  
                      var bgnDateStr = v.split(/-|\s|:/);                     
                      var bgnDate = new Date(bgnDateStr[0], bgnDateStr[1] - 1,bgnDateStr[2], bgnDateStr[3], bgnDateStr[4], bgnDateStr[5] ); 
                      var year = bgnDate.getFullYear();
                      var month = bgnDate.getMonth() + 1;
                      var day = bgnDate.getDate();
                      var hours = bgnDate.getHours();
                      var minutes = bgnDate.getMinutes();
                      var seconds = bgnDate.getSeconds();
                      var ampm = hours >= 12 ? 'pm' : 'am';
                      hours = hours % 12;
                      hours = hours ? hours : 12; // the hour '0' should be '12'
                      minutes = minutes < 10 ? '0'+minutes : minutes;
                      seconds = seconds < 10 ? '0' + seconds : seconds;
                      var strTime = hours + ':' + minutes + ':' + seconds + ' ' + ampm;
                      //alert (strTime);
                      //var bgnTime =  bgnDate.getTime();
                      //var endTime = endDate.getTime(); 
                      $("label[for='1date_updated']").html(year  + '/' + month + '/' + day + ' ' + strTime);
                      $("label[for='2date_updated']").html(year  + '/' + month + '/' + day + ' ' + strTime);
                      $("label[for='3date_updated']").html(year  + '/' + month + '/' + day + ' ' + strTime);
                      $("label[for='Bdate_updated']").html(year  + '/' + month + '/' + day + ' ' + strTime);
                      $("label[for='date_alert_top']").html(year  + '/' + month + '/' + day + ' ' + strTime);
                      //$("label[for='date_alert_top']").html('Status: OFF');
                     break;
                default :
                        $('#MLC_img').attr('src', 'static/images/hb-red-sm.jpg') ;
                        $('#MLC_status').attr('class', 'label label-danger') ;
                        $("label[for='MLC_ONOFF']").html('Status: OFF');
                        $('#MPCM_img').attr('src', 'static/images/processor-red-sm.jpg') ;
                        $('#MPCM_status').attr('class', 'label label-danger') ;
                        $("label[for='MPCM_ONOFF']").html('Status: OFF');
                        $('#ZYNQ_img').attr('src', 'static/images/zynq-red-sm.jpg') ;
                        $('#ZYNQ_status').attr('class', 'label label-danger') ;
                        $("label[for='ZYNQ_ONOFF']").html('Status: OFF');


                        $('#BMLC_img').attr('src', 'static/images/hb-red-sm.jpg') ;
                        $('#BMLC_status').attr('class', 'label label-danger') ;
                        $("label[for='BMLC_ONOFF']").html('Status: OFF');
                        $('#BMPCM_img').attr('src', 'static/images/processor-red-sm.jpg') ;
                        $('#BMPCM_status').attr('class', 'label label-danger') ;
                        $("label[for='BMPCM_ONOFF']").html('Status: OFF');
                        $('#BZYNQ_img').attr('src', 'static/images/zynq-red-sm.jpg') ;
                        $('#BZYNQ_status').attr('class', 'label label-danger') ;
                        $("label[for='BZYNQ_ONOFF']").html('Status: OFF');

            }


         });
         
        if (numbers_received.length >= 10){
            numbers_received.shift()
        }
        //numbers_string = "from js =" +   data ;
        numbers_string =  data ;
           
        $("label[for='myrandomnumber']").html(numbers_string);
    });


 
});
