
Dropzone.autoDiscover = false;
$(function(){
let btn_updt_dropzone = document.getElementById("updt_sys_dropzone");
let error_found = true;
var myDropzone = new Dropzone('div#dropzone', { url: '/uploadfile',
    method: "POST",
    thumbnailWidth: 110,
    maxFilesize: 150,
    thumbnailHeight: 110,
    parallelUploads: 20,
    paramName: "file",
    uploadMultiple: false,
    clickable: ".fileinput-button",
    maxFiles: 1,
    timeout: 60000,
    forceFallback: false,
    autoProcessQueue: true,
    acceptedFiles: ".deb",
    accept: function(file, done) {
      var re = /(?:\.([^.]+))?$/;
      var ext = re.exec(file.name)[1];
      var search_audio_file = new RegExp('^' + 'iam-audio_', 'i');
      ext = ext.toUpperCase();
      if ( ext == "DEB" && search_audio_file.test(file.name)){
          let cur_version = 0.0;
          let new_version = 0.0;
          let str_version = document.getElementById("fw_version_1").value;

          try {
              if (str_version){
                  let str_cur_version = "";
                  let dot_number =  str_version.substr(str_version.indexOf(".")+1, str_version.indexOf("-") - (str_version.indexOf(".")+1));
                  let dash_number =  str_version.substr(str_version.indexOf("-")+1);
                  let int_value = str_version.substr(0, str_version.indexOf(".") + 1);

                  if ( dot_number.length == 1){
                      dot_number = '0' + dot_number ;
                  }

                  if ( dash_number.length == 1){
                      dash_number = '0' + dash_number ;
                  }

                  cur_version = parseFloat(int_value + dot_number + dash_number);
              }
              let str_new_version = "";
              str_version = file.name.replace('iam-audio_','').replace('_armhf.deb', '');
              dot_number =  str_version.substr(str_version.indexOf(".") + 1, str_version.indexOf("-") - (str_version.indexOf(".") + 1));
              dash_number =  str_version.substr(str_version.indexOf("-") + 1);
              int_value = str_version.substr(0, str_version.indexOf(".") + 1);

              if ( dot_number.length == 1){
                  dot_number = '0' + dot_number ;
              }

              if ( dash_number.length == 1){
                  dash_number = '0' + dash_number;
              }
              new_version = parseFloat(int_value + dot_number + dash_number);
          } catch(e){
              cur_version = -1.0;
              new_version = 0.0;

          }

          if (cur_version > 0 && new_version > 0){
              if ( cur_version <= new_version){
                  $('#h_dropped_pkg_name').val(file.name);
                  error_found = false;
                  done();

              }
              else{
                  error_found = true;
                done("You cannot upload a lower version on unit.");
                }
          }
          else{
              error_found = true;
              done("Something went wrong. Please reload the page and try again.");
          }


      }
      else {
          error_found = true;
          done("Audio Wohler files are accepted only.");
      }
    },
    init: function(){
        this.on('error', function(file, errorMessage){
            try{
                error_found = true;
                $(file.previewElement).find('.dz-error-message').text(errorMessage.user_message);

            } catch(e){
                //console.log(e);
            }
        });
        this.on('success', function(file, response){
           //  console.log("init success");

        });

    }
});


myDropzone.on("addedfile", function(file) {
     $('#fileSubmit').click(function(){
        myDropzone.processQueue(); //processes the queue
    });
  //file.previewElement.querySelector(".start").onclick = function() { myDropzone.enqueueFile(file); };
});

// Update the total progress bar
myDropzone.on("totaluploadprogress", function(progress, file_size) {
    let btn_updt_usbzone = document.getElementById("updt_sys_usbzone");
    let btn_updt_dropzone = document.getElementById("updt_sys_dropzone");
    let btn_updt_sys_drop = document.getElementById("btn_update_sys_drop");
    if (progress === 100){
        if (error_found){
            btn_updt_dropzone.classList.remove('show');
            btn_updt_dropzone.classList.add('hidden');

        }
        else{
            btn_updt_dropzone.classList.remove('hidden');
            btn_updt_dropzone.classList.add('show');
        }


        if (file_size ===0){
            btn_updt_sys_drop.classList.remove('show');
            btn_updt_sys_drop.classList.add('hidden');
        }
        else{
            btn_updt_sys_drop.classList.remove('hidden');
            btn_updt_sys_drop.classList.add('show');

        }


    }

});

document.querySelector("#actions .cancel").onclick = function() {
    let btn_updt_usbzone = document.getElementById("updt_sys_usbzone");
    let btn_updt_dropzone = document.getElementById("updt_sys_dropzone");
    let btn_updt_sys_drop = document.getElementById("btn_update_sys_drop");

    btn_updt_usbzone.classList.remove('show');
    btn_updt_usbzone.classList.add('hidden');
    btn_updt_dropzone.classList.remove('show');
    btn_updt_dropzone.classList.add('hidden');
    btn_updt_sys_drop.classList.remove('show');
    btn_updt_sys_drop.classList.add('hidden');

  myDropzone.removeAllFiles(true);
};

});
