
$(document).ready(function(){
    // namespace 
    namespace = '/madiAppMsg'; // change to an empty string to use the global namespace

    //connect to the socket server.
    var hb_socket = io.connect('http://' + document.domain + ':' + location.port + namespace, {'sync disconnect on unload': true});
    var numbers_received = [];

    //receive details from server
    hb_socket.on('newnumber', function(msg) {
         var data = msg.number || '{}'; // squelch console errors
         // console.log('madi msg="'+JSON.stringify(msg)+'" data="'+data+'"');
         var jsonObj;
         if (typeof{}) {
             try{
                jsonObj = $.parseJSON(data)
             } catch(e){
                 jsonObj = msg.number;
             }
         }
         else {
             jsonObj = $.parseJSON(data)
         }
         $.each(jsonObj, function(k,v) {
            switch(k){
                case "system_update" :
                     progress = (jsonObj.system_update.process_progress);
                     status = (jsonObj.system_update.process_status);
                     process = (jsonObj.system_update.process_name);


                     if ( status == 0 ) {
                        if ( process =='Erasing FPGA') {
                           milliseconds = 500;
                           for (i=0; i < 10 ; i++) {
                              new_progress = progress + i;
                              $('.progress-bar').css('width', progress+'%').attr('aria-valuenow', new_progress);
                           }
                        }
                        else {
                           $('.progress-bar').css('width', progress+'%').attr('aria-valuenow', progress);
                        }
                        if ( progress ==100) {
                            $("label[for='lbl_status']").html("<h3>" + process + " System is being rebooted.</h3>");
                        }
                        else {
                         $("label[for='lbl_status']").html("<h3>" + process + " Please wait ...</h3>");
                        }
                     }
                     else {

                         $("label[for='lbl_status']").html("<h3><p class='bg-danger' style='padding:10px;' >" + process + " Failed. <br/> Error Code : " + status + "  <br/>  Contact Support at Wohler.</h3></p>");

                     }
                     break;
                case "config_update" :
                     config_id = (jsonObj.config_update.ConfigId);
                     screen_id = (jsonObj.config_update.ScreenId);
                     mute = (jsonObj.config_update.Mute);
                     controlId = "chkb-mute_" + screen_id;
                     chk_element = document.getElementById(controlId);
                     config_on_display = $('#config_number').val();
                     web_page = location.pathname;
                     if ( web_page =="/index"){
                        //reload_page();
                     }
                     else if ( web_page.indexOf('/config') > -1 ) {

                         if ( ( config_on_display != undefined ) && ( parseInt(config_on_display, 10) > 0 )  ){
                             if (config_on_display != config_id ){
                                  //configSelect2(config_id);
                                  //do nothing
                             }
                             else if (config_on_display == config_id ){
                                 chk_state = $(chk_element).bootstrapSwitch('state');
                                 if ( (chk_state == false ) && ( mute ==='N' ) ){
                                     $(chk_element).bootstrapSwitch('toggleState');
                                     $("label[for='lbl_updt_status']").html("Configuration was updated from unit. Screen : " + screen_id +  " ");
                                 }
                                 else if ( (chk_state == true ) && ( mute ==='Y' ) ){
                                     $(chk_element).bootstrapSwitch('state', false, false);
                                     $("label[for='lbl_updt_status']").html("Configuration was updated from unit. Screen : " + screen_id +  " ");
                                 }
                             }
    
    
                         }
                     }
                     break;
                case "date_updated" :
  
                      var bgnDateStr = v.split(/-|\s|:/);                     
                      var bgnDate = new Date(bgnDateStr[0], bgnDateStr[1] - 1,bgnDateStr[2], bgnDateStr[3], bgnDateStr[4], bgnDateStr[5] ); 
                      var year = bgnDate.getFullYear();
                      var month = bgnDate.getMonth() + 1;
                      var day = bgnDate.getDate();
                      var hours = bgnDate.getHours();
                      var minutes = bgnDate.getMinutes();
                      var seconds = bgnDate.getSeconds();
                      var ampm = hours >= 12 ? 'pm' : 'am';
                      hours = hours % 12;
                      hours = hours ? hours : 12; // the hour '0' should be '12'
                      minutes = minutes < 10 ? '0'+minutes : minutes;
                      seconds = seconds < 10 ? '0' + seconds : seconds;
                      var strTime = hours + ':' + minutes + ':' + seconds + ' ' + ampm;
                      //alert (strTime);
                      //var bgnTime =  bgnDate.getTime();
                      //var endTime = endDate.getTime(); 
                      $("label[for='1date_updated']").html(year  + '/' + month + '/' + day + ' ' + strTime);
                      $("label[for='2date_updated']").html(year  + '/' + month + '/' + day + ' ' + strTime);
                      $("label[for='3date_updated']").html(year  + '/' + month + '/' + day + ' ' + strTime);
                      $("label[for='Bdate_updated']").html(year  + '/' + month + '/' + day + ' ' + strTime);
                      $("label[for='date_alert_top']").html(year  + '/' + month + '/' + day + ' ' + strTime);
                      //$("label[for='date_alert_top']").html('Status: OFF');
                     break;
                default :

            }


         });
         
   
    });


 
});
