/**
 * Created by root on 6/7/17.
 */

    window.update_charts = true;

  	function colr4bar(db, i) {
        if(db >= -20) {
            return "OrangeRed";
        } else if( db >= -30) {
            return "gold";
        } else if(db >= -40) {
            return "green"
        } else {
            return "MediumAquamarine";
        }
    }

    function meter_data(meter_data_det) {


    var meter_init = meter_data_det[0]["meter_avg"];
    var meter_peaks = meter_data_det[1]["meter_peak"];
    var meter_labels = meter_data_det[2]["meter_labels"];
    //console.log(meter_labels);
    xScale.domain(meter_labels);

    var meter_avgs = [];

    for ( var ltimes = 0; ltimes < 3; ltimes++){
        for ( var idx = 0 ; idx < 16; idx++ ){
            meter_avgs.push(meter_init[idx]);
        }
    }

    var render_random_ajax = function( jxlivedata, datamax) {
        if(flag_f === true) {
            svgRectsGrpClip.append("clipPath")
                .attr("id", "clip-above")
                .append("rect")
                .attr("width", audViewW)
                .attr("height", yScale(-20));

            svgRectsGrpClip.append("clipPath")
                .attr("id", "clip-middle")
                .append("rect")
                .attr("y",yScale(-20))
                .attr("width", audViewW)
                .attr("height", audViewH - yScale(-30));

            svgRectsGrpClip.append("clipPath")
                .attr("id", "clip-below")
                .append("rect")
                .attr("y",yScale(-30))
                .attr("width", audViewW)
                .attr("height", audViewH - yScale(-30));
        }

  		var bars = svgRectsGrp.selectAll("rect")
                    .data(jxlivedata);

  		var lines = svgRectsGrp.selectAll("line")
  			     .data(datamax);

  		lines.enter()
      	        .append("line")
      			.attr("x1", function(d,i){ return xScale(meter_labels[i]) ;})
      			.attr("y1", function(d,i){ return (yScale(d)) ;})
      			.attr("x2", function(d,i){ return (xScale(meter_labels[i]) + xScale.rangeBand());})
      			.attr("y2", function(d,i){ return (yScale(d)) ;})
      			.attr("stroke-width", 0)
      			.attr("stroke", function(d,i) { return colr4bar(d,i); /* return colores_google(i); */});

  		lines.interrupt().transition()
          	    .ease("linear")						 //Initiate a transition on all elements in the update selection (all rects)
      			.duration(duration)
      			.attr("x1", function(d,i){ return (xScale(meter_labels[i])) ;})
      			.attr("y1", function(d,i){ return (yScale(d)) ;})
      			.attr("x2", function(d,i){ return (xScale(meter_labels[i]) + xScale.rangeBand());})
      			.attr("y2", function(d,i){ return (yScale(d)) ;})
      			.attr("stroke-width", 4)
      			.attr("stroke", function(d,i) { return colr4bar(d,i);});

  		bars.enter()						//References the enter selection (a subset of the update selection)
      		.append("rect")					//Creates a new rect
            .attr("class", function(d,i) {
                    var clippath = "";
                    var clippathno = parseInt(i/maxNoOfElems);
                    if(clippathno === 0) {
                          clippath = "above";
                    } else if (clippathno === 1) {
                          clippath = "middle";
                          //clippath = "below";
                    } else {
                          clippath = "below";
                    }
                    return "audbars " + clippath;
                })
            .attr("clip-path", function(d,i) {
                    var clippath = "";
                    var clippathno = parseInt(i/maxNoOfElems);
                    if(clippathno === 0) {
                        clippath = "above";
                    } else if (clippathno === 1) {
                        clippath = "middle";
                    } else {
                        clippath = "below";
                    }
                    return "url(#clip-" + clippath + ")";
                })
            .attr('opacity', 1)
      		.attr("x", function(d,i){ return (xScale(meter_labels[i%maxNoOfElems])) ;})
      		.attr("y", function(d) {return (yScale(d));})
      		.attr("width", xScale.rangeBand())
      		.attr("height", function(d) {return audViewH;})
            .attr("fill", "Green");

  		//Update…
  		bars.interrupt().transition()
  		    .duration(duration)
            .ease("linear")
  			.attr("x", function(d,i){ return (xScale(meter_labels[i%maxNoOfElems])) ;})
  			.attr("y", function(d) {return yScale(d);})
  			.attr("width", xScale.rangeBand())
  			.attr("height", function(d) {return audViewH - yScale(d);});


  		if(flag_f === true) {

  		    flag_f = false;
  			svgRectsGrp.append("g")
  			    .attr("class", "grid")
  				.attr("transform", "translate(0,0)")
  				.call(yAxisG);

  			svgRectsGrp.append("g")
  				.attr("class", "x axis")
  				.attr("transform", "translate(0," + audViewH + ")")
  				.call(xAxis)
  				.selectAll("text")
  				.attr("y", 8)
  				.attr("x", 5)
  				.attr("dy", ".25em")
  				.attr("transform", "rotate(60)")
  				.style("text-anchor", "start")
                .attr("fill", "white")
            ;

  			svgRectsGrp.append("g")
  				.attr("class", "y axis")
  				.attr("transform", "translate(0,0)")
  				.call(yAxisL)
                .attr("fill", "white")
                ;
            svgRectsGrp.append("g")
  				.attr("class", "y axis")
  				.attr("transform", "translate(" + (audViewW ) + ",0)") // wxbar.margin
                .attr("fill", "white")
  				.call(yAxisR);
          }
    	}

    var render_text = function(jxlivedata) {

        if(wxbar.txtwidth >= 10) {
            svgRectsGrp.selectAll("text")
            .data(jxlivedata)
            .enter()
            .append("text")
            .text(function (d) {return d;})
            .attr('opacity', 1.0)
            .attr("x", function (d, i) {return xScale(meter_labels[i]) + xScale.rangeBand() / 2;})
            .attr("y", function (d, i) {
                    var sh = yScale(d);
                    var fy = audViewH - sh;
                    return sh + 20;
                })
            .attr("text-anchor", "middle")
            .attr("font-family", "sans-serif")
            .attr("font-size", 0  + "px")
            .attr("fill", "white");
        }
  	}

  	var transition_text = function(jxlivedata) {

        if(wxbar.txtwidth >= 10) {
            svgRectsGrp.selectAll("text")
                .data(jxlivedata)
                .interrupt().transition()
                .duration(duration)
                .text(function (d) {return d;})
                .attr("x", function (d, i) {return xScale(meter_labels[i]) + xScale.rangeBand() / 2;})
                .attr("y", function (d, i) {
                        var sh = yScale(d);
                        var fy = audViewH - sh;
                        return sh + 20;
                    })
  				.attr("font-size", wxbar.txtwidth + "px");
        }
  	}


    var test_funt =  function test_data(flag_f, meter_avgs, meter_peaks, maxNoOfElems, totalNoBars){

        windowPos++;
    	if(windowPos > 100){
            console.log("false and window pos > 500");
            clearInterval(test_data)
            windowPos = 0;
        } else {

            var aud_db_data = [];
            // Generating data for 16 Ports
            for(var i = 0; i < 16; i++) {
                var x = Math.floor((Math.random() * 60) + 10);
                aud_db_data.push(-x);
            }

            for( i = 0; (i < maxNoOfElems) && (i < aud_db_data.length); i++) {
                if (datamax[i] < aud_db_data[i]) {
                    datamax[i] = aud_db_data[i];
                }
            }

            var dblevels = [];

            for(var i = 0, j = 0; (i < totalNoBars); i++) {
                j = i%maxNoOfElems;
                if(j < meter_avgs.length) {
                    dblevels[i] = meter_avgs[j];
                }

            }

            render_random_ajax(dblevels, meter_peaks);
        }

    }

    var interval = test_funt(flag_f, meter_avgs, meter_peaks, maxNoOfElems, totalNoBars);

 };

