#!/bin/bash

#TSCalib
cp -r /boot/tslib/lib/* /usr/lib
cp -r /boot/tslib/etc/* /etc/
cp -r /boot/tslib/bin/* /usr/bin
cp -p /boot/pointercal /etc/


export TSLIB_TSEVENTTYPE=INPUT


export TSLIB_TSDEVICE=/dev/input/event0
export TSLIB_CALIBFILE=/etc/pointercal
export TSLIB_CONFFILE=/etc/ts.conf
export TSLIB_PLUGINDIR=/usr/lib/ts
export TSLIB_FBDEVICE=/dev/fb0
export TSLIB_CONSOLEDEVICE=none
export TSTS_INFO_FILE=/sys/devices/virtual/input/mice/uevent
export QWS_MOUSE_PROTO=tslib:/dev/input/event0
export PATH=$PATH:/usr/bin

#End:TSCalib





export LD_LIBRARY_PATH=/usr/local/lib:/usr/lib/arm-linux-gnueabihf/:/lib:/usr/local/qt4/lib
/root/lcd_test
#/root/fb-test
/boot/wohler_logo_splash
#sleep 2
/boot/responder
sleep 15
#
#if [ -f "/boot/fp_meterapp_new" ]
if [ -f "/boot/Meters_new" ]
then
    for fp_proc in $(pidof fp_meterapp)
      do
        kill -9  $fp_proc
      done
    #mv /boot/fp_meterapp_new /boot/fp_meterapp
    mv /boot/Meters_new /boot/Meters
fi
chmod +x /boot/Meters

#optional debug enabled if exported
#echo "Enable optional menu LCD debug options"
#export DEBUG_TOUCH_EVENT=something
#export DEBUG_TOUCH_ADVANCE=something
#export DEBUG_TOUCH=1
#export DEBUG_ZMQ=1
#export DEBUG_WEB_GUI=1
#export DEBUG_METERS=1

# Indicate the panel type is 4.3" densitron LCD
export DENSITRON_4_PT_3=1
# Flag to inidicate it is iAM-Audio unit
# NOTE: This mechanism may be changed or removed in the future
export IM_iAM_Audio=1

#/boot/fp_meterapp -qws &
/boot/Meters -qws &

