#!/bin/bash

####################################
# Deleting DB for doing factory reset. Python sys_init will create a new database
###################################

APP_DATABASE="/root/iam_sysapp/iam_audio_ui/database/wohler_audio.db"
PRESET_DATABASE_FILES="/root/iam_sysapp/iam_audio_ui/database/wohler_presets.db /root/iam_sysapp/iam_audio_ui/database/*.json /root/iam_sysapp/iam_audio_ui/systempreferences/*.json"

if [ -f "$APP_DATABASE" ]
then
    echo " "
    echo " Deleting $APP_DATABASE"
    rm $APP_DATABASE
else
    echo " $APP_DATABASE DB files do not exist. "
fi

echo " Deleting $PRESET_DATABASE_FILES"
rm -f $PRESET_DATABASE_FILES &> /dev/null

sync; sync;

return 0
